Package org.springframework.security.web.util.matcher

# Interface RequestVariablesExtractor

All Known Implementing Classes:
  `AntPathRequestMatcher`, `MvcRequestMatcher`

@Deprecated public interface RequestVariablesExtractor
Deprecated.
use `RequestMatcher.MatchResult` from `RequestMatcher.matcher(HttpServletRequest)`
An interface for extracting URI variables from the `HttpServletRequest`.

Since:
  4.1.1

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`extractUriTemplateVariables(jakarta.servlet.http.HttpServletRequest request)`
Deprecated.
Extract URL template variables from the request.

## Method Details

### extractUriTemplateVariables

Map<String,String> extractUriTemplateVariables(jakarta.servlet.http.HttpServletRequest request)
Deprecated.
Extract URL template variables from the request.

Parameters:
  `request` - the HttpServletRequest to obtain a URL to extract the variables from
Returns:
  the URL variables or empty if no variables are found